.gallery-content {
  bottom: 0;
  position: absolute;
  height: 80vh;
  width: 100%;
  display: grid;
  grid-template-columns: 20px 20% 1fr 0px;
  grid-column-gap: 20px;
}

.gallery-categories {
  grid-column: 2/3;
  align-self: center;

  li {
    margin: 30px 0;

    a {
      font-size: 30px;
      transition: margin-left 0.3s ease-in-out;

      &:hover {
        margin-left: 10px;
      }
    }
  }

  a.active {
    border-bottom: 2px solid $secondaryColor;
    color: $secondaryColor;
    font-family: $titleFont;
    font-size: 40px;
    font-weight: 700;
    pointer-events: none;

    &:hover {
      margin-left: 0px;
    }
  }
}

.grid-container {
  //   grid-column: 3/4;
  display: flex;
  overflow: hidden;
}

.gallery-grid {
  display: grid;
  grid-column-gap: 20px;
  grid-template-columns: 1fr 1fr 1fr;
  overflow-y: auto !important;
  padding-right: 17px;
  position: relative;
  //   transition: transform 0.5s ease-in-out;

  &::-webkit-scrollbar {
    display: none;
    width: 7px;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.582);
  }

  &:hover {
    padding-right: 10px;

    &::-webkit-scrollbar {
      display: block;
      position: absolute;
      margin-left: 10px;
      right: 0;
    }
  }

  .col {
    img {
      margin-bottom: 15px;
      width: 100%;
      cursor: pointer;
    }
  }
}

#gridIndex1,
#gridIndex2,
#gridIndex3 {
  display: none;
}

.gallery-modal {
  align-items: center;
  background-color: $backgroundColor;
  bottom: 0;
  display: flex;
  flex-direction: column;
  height: 100vh;
  justify-content: center;
  left: 0;
  padding-top: 15vh;
  position: absolute;
  transform: translateY(-120%);
  transition: transform 0.5s ease-in-out;
  width: 100%;
  z-index: 1;

  .modal-img-container {
    height: 90%;

    img {
      height: 100%;
    }
  }
}

.modal-controller {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 20px 0;

  span {
    font-size: 20px;
    margin: 0 50px;
    cursor: pointer;
  }

  img {
    height: 20px;
    cursor: pointer;
  }

  .left-arrow {
    transform: rotate(180deg);
  }
}

@media only screen and (max-width: 1024px) {
  .gallery-content {
    display: block;
    height: 100vh;
    padding-top: 10vh;
  }

  .gallery-categories {
    display: flex;
    width: 100%;
    justify-content: center;
    // margin-bottom: 20px;

    li {
      padding: 0 20px;
    }
  }

  .gallery-grid {
    width: 100%;
    height: calc(80vh + 15px);
    grid-template-columns: 1fr 1fr 1fr;
    overflow-y: auto;
    justify-content: center;
    padding: 0px 20px !important;

    &:hover {
      // padding-right: 0px !important;

      &::-webkit-scrollbar {
        display: none;
      }
    }
  }

  .gallery-modal {
    .modal-img-container-landscape {
      width: 100%;
      padding: 0 20px;
      align-self: center;
      justify-self: center;
      @include displayFlex(center, center);
      // overflow-y: auto;

      img {
        height: auto;
        width: 100%;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .gallery-categories {
    width: 100%;
    overflow-x: auto;
    justify-content: flex-start;
  }

  .gallery-grid {
    height: 80vh;
    grid-template-columns: 1fr;
  }
}
